

Matrix = [2 +1;          
          -2 1];  
Points=100;      
Pnet=linspace(-1,1,Points)*1.01;
Pzz=linspace(-1,1,Points+2)*1.01;
V=zeros(length(Pnet),length(Pzz));


for iPn = 1: length(Pnet)    
    for iPzz = 1: length(Pzz)
        P=[Pnet(iPn);Pzz(iPzz)];
        if all(Matrix*P<=3) && all(Matrix*P>=-1) && all(P>=-1) && all(P<=1)
            V(iPn,iPzz)=1;
        end        
    end
end



%%
f=figure('Name','Measured Data','Color','white');
ax = axes();
grid(ax,'on')
ax.set('FontSize',16,'FontName','Arial','TickDir','out','TickLength',[0.02 0.025],'XMinorTick','on','YMinorTick','on','Box','on','LineWidth',1);    
[x,y] = meshgrid(Pzz,Pnet); 
contour(x,y,V)
ylabel('P_{net}')    
xlabel('P_{ZZ}')    



% s = isosurface(x,y,z,V,1-1e-4);
% p = patch(s,'FaceColor','red','EdgeColor','none');
% isonormals(x,y,z,V,p) 
% daspect([1,1,1])
% %view(-62,20);
% view(3);
% camlight(-80,+10) 
% lighting gouraud;
% xlabel('P_{a}')  
% xticks(-1:0.2:1)
% yticks(-1:0.2:1)
% zticks(-1:0.2:1)
