function [outputArg1,outputArg2] = Fit_Lorenz(inputArg1,inputArg2)
file="out\spec.dat";
spec=load(file);
J=1.25;

%plot(spec(:,1),spec(:,2),spec(:,1),spec(:,3))
plot(spec(:,1),spec(:,2))
xdata=spec(:,1);
ydata=spec(:,2);
%x0=[1,1.5,2];
%fun = @(x,xdata)x(1)./((xdata-x(2)).^2+(x(3)/2)^2);

x0=[-45,0,0.2,15,J,0.1,8,2*J,0.1];
fun = @(x,xdata)(x(3)/2)^2*x(1)./((xdata-x(2)).^2+(x(3)/2)^2)+(x(6)/2)^2*x(4)./((xdata-x(5)).^2+(x(6)/2)^2)+(x(9)/2)^2*x(7)./((xdata-x(8)).^2+(x(9)/2)^2);

Lfit = lsqcurvefit(fun,x0,xdata,ydata);
hold on
plot(xdata,fun(Lfit,xdata))
xlabel("Frequency (Hz)")
ylabel("Spectrum (arb.units)")
fprintf("Lorenz1: A=%.3f, FRQ=%.3f Hz FWHM=%.3f Hz\n\r",Lfit(1:3))
fprintf("Lorenz2: A=%.3f, FRQ=%.3f Hz FWHM=%.3f Hz\n\r",Lfit(4:6))
fprintf("Lorenz3: A=%.3f, FRQ=%.3f Hz FWHM=%.3f Hz\n\r",Lfit(7:9))
Lfit(9)/Lfit(6)
end

