function rM = ESOTHERIC_L_CompFA_NE(r0,H0,t1,t2,t3,S,FAH,FAC,eH,eC,NE)    
        
    rM=r0.RotationSuperOperator(FAH,'Y',S,eH);    
    %3
    rM=Refocusing_Comp_NE(rM,FAH,FAC,H0,2*t1,"X","Y",S,eH,eC,NE);     
    %6
    rM=rM.RotationSuperOperator(FAH,'-Y',S,eH);    
    %7    
    rM=Refocusing_Comp_NE(rM,FAH,FAC*0,H0,2*t2,"X","Y",S,eH,0,NE);
    %10
    rM=rM.RotationSuperOperator(FAH,'Y',S,eH);
    rM=rM.RotationSuperOperator(FAC,'X',S,eC);    
    %11           
    rM=Refocusing_Comp_NE(rM,FAH,FAC,H0,2*t3,"X","Y",S,eH,eC,NE);     
    %12
    rM=rM.RotationSuperOperator(FAC,'Y',S,eC);
end

function rM=Refocusing_Comp_NE(rM,FAH,FAC,H0,TotalDelay,Dir1,Dir2,S,ExH,ExC,NE)
    %NE=1: refocusing: d-180-d      
    %NE=2: refocusing: d-180-2*d-180-d     
    %NE=3: refocusing: d-180-2*d-180-2*d-180-d           
    %NE=4: refocusing d-180-2*d-180-2*d-180-2*d-180-d   
    d1=TotalDelay/(2*NE);    
    for in=1:NE    
        [X1,Y1,rM]=rM.EvolutionConstH(H0,d1,0);
        if ExH~=0
            rM=rM.RotationSuperOperator(FAH,  Dir2,S,ExH);
            rM=rM.RotationSuperOperator(FAH*2,Dir1,S,ExH);        
            rM=rM.RotationSuperOperator(FAH,  Dir2,S,ExH);
        end
        if ExC~=0
            rM=rM.RotationSuperOperator(FAC,  Dir2,S,ExC);  
            rM=rM.RotationSuperOperator(FAC*2,Dir1,S,ExC);        
            rM=rM.RotationSuperOperator(FAC,  Dir2,S,ExC);  
        end
        [X1,Y1,rM]=rM.EvolutionConstH(H0,d1,0);          
    end            
end

