function [y] = SABRE_carbon_exchange_Lmatrix_3R_alpha(MC1,MC2,MCF,kd1,kd2,kaprime1,kaprime2,kex1, kex2, R1,R2,Rf,x,alpha) 
                                                                              

            L = [-kd1-R1-kex1     kex2              kaprime1               ;    
                kex1           -kd2-R2-kex2         kaprime2               ;   
                kd1              kd2              -kaprime1-kaprime2-Rf]   ;

            M0 = [MC1; MC2; MCF]                                           ;

            y1 = zeros(length(x)/3,1)                                      ;
            y2 = y1                                                        ;
            y3 = y1                                                        ;
                for ix = 1:length(x)/3
                     M = expm(L*x(ix))*M0                                  ; 
                   y1(ix)= M(1)                                            ;
                   y2(ix)= M(2)                                            ;
                   y3(ix)= M(3)                                            ;
                end

            y = [y1; y2*alpha; y3]                                         ;
end