function [y] = SABRE_hydrogen_exchange_Lmatrix_pre3(MHC1, MHC2, MH2, k12, k21, kd1, kd2, kaprime1, kaprime2, R1, Rf, x)
                                                                            

            L = [-kd1-R1-k12                 k21                       kaprime1                   ;    
                       k12               -kd2-R1-k21                   kaprime2                   ;   
                       kd1                   kd2                   -Rf-kaprime1-kaprime2      ]   ;
            
            

            M0 = [MHC1; MHC2; MH2]                                         ;

            y1 = zeros(length(x)/3,1)                                      ;
            y2 = y1                                                        ;
            y3 = y1                                                        ;
            
                for ix = 1:length(x)/3
                     M = expm(L*x(ix))*M0                                  ; 
                   y1(ix)= M(1)                                            ;
                   y2(ix)= M(2)                                            ;
                   y3(ix)= M(3)                                            ;
                end

            y = [y1; y2; y3]                                               ; 
end