function [y] = SABRE_onesite_exchange_Lmatrix(kd,ka,Rb,Rf,Mb,Mf,x)

        L  = [-kd-Rb   ka                                                  ;
              kd     -ka-Rf]                                               ;
        M0 = [Mb; Mf]                                                      ;

        y1 = zeros(length(x)/2,1)                                          ;
        y2 = y1                                                            ;
                      
            for ix    = 1:length(x)/2   
                 M    = expm(L*x(ix))*M0                                   ; 
                y1(ix)= M(1)                                               ;
                y2(ix)= M(2)                                               ;
            end

        y = [y1; y2]                                                       ;
end