function [y] = SABRE_twosite_exchange_LmatrixkaRf(x,S0,Ir0,Mb,Mr,Mf,Rf,kd,ka,Rb)
                                                                 
            S    = Substrate_concentration(kd,ka,S0,Ir0)                   ;                           
            CsS2                          = S0-2*Ir0-S                     ;       
            CsS                           = Ir0-CsS2                       ;
            K       = S/CsS2                                               ;
            kaprime = ka*CsS                                               ;
            L = [-kd-Rb     ka*S           kaprime                         ;    
                0.5*kd    -ka*S-Rb           0                             ;   
                0.5*kd       0            -kaprime-Rf]                     ;

            M0 = [Mb; Mr; Mf]                                              ;
            P0 = [1 ; 1 ; 1]                                               ;
            Mt = [2*CsS2*P0(1);CsS*P0(2) ;S*P0(3)]*0 ;
            y1 = zeros(length(x)/2,1)                                      ;
            y2 = y1                                                        ;
            y3 = y1                                                        ;
                for ix = 1:length(x)/2
                    % M = expm(L*x(ix))*M0                                  ;
                   M = expm(L*x(ix))*(M0-Mt) + Mt                          ;
                   y1(ix)= M(1)                                            ;
                   y2(ix)= M(2)                                            ;
                   y3(ix)= M(3)                                            ;
                end

            y = [y1; y3]                                                   ;
end