function [ax f]=plot2D(X,Y,Z,texts,f)
    f=figure('Name','Measured Data','Color','white');
    %c=colormap('jet');%hot
    %c=colormap(f,parula(30));
    c=colormap(f,parula);
    %c=colormap(f,parula(length(texts.barticks)-1));
    %c=colormap(f,parula(2));
    %colormap(autumn(10));%hot|
    ax=axes('Box','on');
    %surf(ax,X,Y,Z,'EdgeColor', 'None', 'facecolor', 'interp');    
    if isfield(texts,'CC') 
        contourf(X,Y,Z,'LevelList',texts.CC);
        clim([min(texts.CC), max(texts.CC)]);
        colorbar('Ticks',texts.CC)
    else
        contourf(X,Y,Z);
        colorbar;    
    end
    ax.set('FontSize',20,'FontName','Arial','TickDir','out','TickLength',[0.02 0.025],'XMinorTick','on','YMinorTick','on','Box','on','LineWidth',3);
    view(2); 
    
    
    title(sprintf(texts.title),'FontSize',16,'FontName','Arial');%'phINEPT+ Z'
    xlabel(texts.x,'FontSize',20,'FontName','Arial');%'t1, s'
    ylabel(texts.y,'FontSize',20,'FontName','Arial');%'t2, s'
end

