function plot_all_ULF_SLIC_SABRE(System,Yout,ex,show)
    [X, Y]=meshgrid(ex.v1v*ex.Ss.g_gh{end},ex.offsetv);    
    figure('Color','white')
    colormap('jet');%hot        
    for ik = 1:length(show)
        it=length(ex.timeRFv);
        timeRF=ex.timeRFv(it);        
        ax1=subplot(length(show),1,ik);
        surf(ax1,X,Y,Yout{show(ik)}(:,:,it)*100,'EdgeColor', 'None', 'facecolor', 'interp');    
        ax1.set('FontSize',12,'FontName','Arial');
        view(2); colorbar;
        if ik==1
            title(sprintf(System+' '+ex.SOsStr{show(ik)}+', time of v1Xspin = %.2f s, k_d''=%.3f s^-^1',[timeRF, ex.Kd]),'FontSize',10,'FontName','Arial');
        else
            title(sprintf(ex.SOsStr{show(ik)}),'FontSize',10,'FontName','Arial');
        end
        xlabel('RF amplitude (Hz)','FontSize',12,'FontName','Arial');
        ylabel('X-spin offset (Hz)'    ,'FontSize',12,'FontName','Arial');
        %axis([ex.Bdv(1)*1e6 ex.Bdv(end)*1e6 ex.tdv(1)*1e3 ex.tdv(end)*1e3]);
    end
end

