function [coef,meanerror]=fitexponential(x,y,N_max_itt,NumParam) % to run programm type fitexponential(x,y) where x and y input vales

if (NumParam==3)
A0=y(end);
B0=y(1)-y(end);
T0=-x(round(end/2))/log((y(round(end/2))-y(end))/(y(1)-y(end)));
opt=fitoptions('Method','NonLinearLeastSquare',...
                    'StartPoint',[A0,B0,T0],...
                     'Lower',[-Inf,-Inf,0],...
                    'Upper',[Inf,Inf,100],...
                    'MaxIter',N_max_itt);
myexp=fittype('A+B*exp(-(x)/T)','options',opt); %this line define fitting function
coeffnames(myexp);
elseif(NumParam==4)
    A0=y(end);
B0=y(1)-y(end);
T0=-x(round(end/2))/log((y(round(end/2))-y(end))/(y(1)-y(end)));
xx0=0;
opt=fitoptions('Method','NonLinearLeastSquare',...
                    'StartPoint',[A0,B0,T0,xx0],...
                    'MaxIter',N_max_itt);
myexp=fittype('A+B*exp(-(x-xx)/T)','options',opt); %this line define fitting function
end
[result gof]=fit(x,y,myexp);%goodness-of-fit statistics to the structure gof
% this is main line in program which fit our values to the dfined function
% using internal method leastnonlinearsquare minimization, but result in strange type
% start point estimated in a simple model
%A is the last value of y "y(end)"
%B is the difference of first and last y value "y(1)-y(end)"
%C is determined when exponent function goes through first, last and middle point of y "-x(round(end/2))/log((y(round(end/2))-y(end))/(y(1)-y(end)))"  

coef=coeffvalues(result); %extracting coefficients 
int=confint(result); % extracting trusting interval for 95% confidence =2sigma
%%%%biulding output
meanerror=abs((int(2,:)-int(1,:))/2);
%clf
plot(result,'r')
%hold on
%plot(x,y,'bo',x,real(A0+B0*exp(-(x)/T0)),'b-')


