function PlotSpec(X,Y,Xaxis, nametitle)
%%%%plot spectrum
% if nargin==2
%     figure('Name','Spectrum','Color','white','NumberTitle','off');
%     subplot(3,1,1);
%     plot(X,real(Y),'Color','blue','LineWidth',2,'DisplayName','Spectrum');
%     set(gca,'Xdir','reverse')
%     xlabel('chemical shift,ppm (or Hz)');
%     title('Real part of spectrum');
% 
%     subplot(3,1,2);
%     plot(X,imag(Y),'Color','red','LineWidth',2,'DisplayName','Spectrum');
%     set(gca,'Xdir','reverse')
%     xlabel('chemical shift,ppm (or Hz)');
%     title('Imaginary part of spectrum');
% 
%     subplot(3,1,3);
%     plot(X,abs(Y),'Color','red','LineWidth',2,'DisplayName','Spectrum');
%     set(gca,'Xdir','reverse')
%     xlabel('chemical shift,ppm (or Hz)');
%     title('ABS mode of spectrum');
% else
    figure('Name','Spectrum','Color','white','NumberTitle','off');
    %subplot(3,1,1);
    
    plot(X,real(Y),'Color','blue','LineWidth',2,'DisplayName','Spectrum');
    set(gca,'Xdir','reverse')
    if strcmp(Xaxis,"PPM")
        xlabel('chemical shift [ppm]');
    elseif strcmp(Xaxis,"Hz")
        xlabel('chemical shift [ppm]');
    else
        error("PPM or Hz")
    end
    title(nametitle);
    
end

%%%%
