function [y] = SABRE_onesite_exchange_Lmatrix2kaprime(kd,Rb,Rf,K,Mb,Mf,x)

        kaprime = kd/(K*2)                                                 ;
        L  = [-kd-Rb   2*kaprime                                           ;
              kd     -2*kaprime-Rf]                                        ;
        M0 = [Mb; Mf]                                                      ;
        P0 = [ 1 ; 1]                                                      ;
        Mt = [2*3.9997*P0(1) ;68.0003*P0(2) ]*0                             ;
        y1 = zeros(length(x)/2,1)                                          ;
        y2 = y1                                                            ;
                      
            for ix    = 1:length(x)/2   
              %   M    = expm(L*x(ix))*M0                                   ; 
                 M    = expm(L*x(ix))*(M0-Mt) + Mt                     ; 
                y1(ix)= M(1)                                               ;
                y2(ix)= M(2)                                               ;
            end

        y = [y1; y2]                                                       ;
end