function plot_all_ADAPT_RFt(System,Yout,ex)
    [X, Y]=meshgrid(ex.RFv/pi*180,ex.Dav*1e3);    
    figure
    colormap('jet');%hot    
    for ik = 1:3
        ax1=subplot(3,1,ik);
        surf(ax1,X,Y,Yout{ik}*100,'EdgeColor', 'None', 'facecolor', 'interp');    
        ax1.set('FontSize',12,'FontName','Arial');
        view(2); colorbar;
        title(sprintf(System+' '+ex.SOsStr{ik}+', W_a=%.3f s^-^1, k_d''=%.3f s^-^1, rep=%d',[ex.Wa ex.Kd, ex.m]),'FontSize',14,'FontName','Arial');
        xlabel('angle (degree)','FontSize',12,'FontName','Arial');
        ylabel('delay (ms)'    ,'FontSize',12,'FontName','Arial');
        %axis([ex.Bdv(1)*1e6 ex.Bdv(end)*1e6 ex.tdv(1)*1e3 ex.tdv(end)*1e3]);
    end
end

