function plot_all_ULF_SLIC_1D(System,Yout,ex,show,SOstr,where)    
    x=ex.Ad.phase;       
    figure('Color','white','Units',"pixels",'Position', [10 100 600 700])                   
    Tr=(Yout{1}.^2+Yout{3}.^2).^0.5;
    plot(x,[Yout{1},Yout{2},Yout{3},Tr]*100);        
    xlabel('Adiabatic pulse initial phase','FontSize',12,'FontName','Arial');
    ylabel('Polarization (%)'    ,'FontSize',12,'FontName','Arial');
    legend(["X","Z","Y","tr-abs"],'FontSize',12,'FontName','Arial');    
end

