function plot_kinetics(sim)
    figure('Name','Spectrum','Color','white','NumberTitle','off');
    subplot(2,1,1);
    plot(sim.TE,sim.X{1},'Color','blue','LineWidth',1,'DisplayName','Z OPE-45 Kinetics');
    hold on
    plot(sim.TE,sim.X{2},'Color','red','LineWidth',1,'DisplayName','Z OPE-45 Kinetics');
    plot(sim.TE,sim.X12,'Color','green','LineWidth',1,'DisplayName','Z OPE-45 Kinetics');
    ylabel('Z magnetization a.u.');
    legend(["H1X","H2X","(H1X+H2X)/2"])
    title(sim.name+" for "+sim.System);

    subplot(2,1,2);
    plot(sim.TE,sim.Y{1},'Color','black','LineWidth',1,'DisplayName','Z OPE-45 Kinetics');
    hold on
    plot(sim.TE,sim.Y{2},'Color','cyan','LineWidth',2,'DisplayName','Z OPE-45 Kinetics');
    plot(sim.TE,sim.Y12,'Color','magenta','LineWidth',2,'DisplayName','Z OPE-45 Kinetics');
    legend(["H1Y","H2Y","(H1Y+H2Y)/2"])
    xlabel('TE [ms]');
    ylabel('Z magnetization a.u.');
end