    kB=1.38064852*1e-23; % m2 kg s-2 K-1;
    R = 8.314; % J/mol / K
    hbar=1.0545718*1e-34; % m2 kg / s;
    
    B0=9.4; % T

 %% estimates from CA experiment
    T=260; % K
    n12 = 0.75/0.2; % ratio of complexes 1 and 2 T=260K
    G=log(n12)*R*T/1000 % 2.89 kJ/mol
    
    T=300; % K
    n12 = 0.9/0.1; % ratio of complexes 1 and 2 T=300K
    G=log(n12)*R*T/1000 % 5.48 kJ/mol

%% estimates from Xin simulations
    G=7.1; % kJ/mol       
    T=260; % K
    n12 = exp(G*1e3/(R*T)) % 26.7
    T=300; % K
    n12 = exp(G*1e3/(R*T)) % 17.2



